.TH "/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/busclass-xml.c" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/busclass-xml.c \- Busclass XML data file parsing. 
.SH SYNOPSIS
.br
.PP
\fC#include 'config.h'\fP
.br
\fC#include <sys/types.h>\fP
.br
\fC#include <assert.h>\fP
.br
\fC#include <limits.h>\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include <expat.h>\fP
.br
\fC#include <discover/discover.h>\fP
.br
\fC#include <discover/discover-xml.h>\fP
.br
\fC#include <discover/load-url.h>\fP
.br
\fC#include <discover/utils.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBdiscover_xml_merge_busclass_url\fP (\fBdiscover_xml_busclass_t\fP **blist, char *url, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_get_busclasses\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_busclasses\fP (void)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_to_class\fP (char *busclass, \fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "int \fBdiscover_xml_busclass_cmp\fP (char *busclass, char *discover_class, \fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_get_id\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_get_name\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_busclass_get_next\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_busclass_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_busclass_free\fP (\fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Busclass XML data file parsing. 

This file contains the routines needed to properly process the busclass XML data. This file is responsible for handling URLs and actually storing the XML data during the parsing process. 
.PP
Definition in file \fBbusclass-xml.c\fP.
.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
